<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddDdiReq StructType
 * @subpackage Structs
 */
class AddDdiReq extends APIRequest
{
    /**
     * The ddi
     * @var XDdi
     */
    public $ddi;
    /**
     * Constructor method for AddDdiReq
     * @uses AddDdiReq::setDdi()
     * @param XDdi $ddi
     */
    public function __construct(XDdi $ddi = null)
    {
        $this
            ->setDdi($ddi);
    }
    /**
     * Get ddi value
     * @return XDdi|null
     */
    public function getDdi()
    {
        return $this->ddi;
    }
    /**
     * Set ddi value
     * @param XDdi $ddi
     * @return AddDdiReq
     */
    public function setDdi(XDdi $ddi = null)
    {
        $this->ddi = $ddi;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddDdiReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
